%global __strip %{mingw32_strip}
%global __objdump %{mingw32_objdump}
%define __debug_install_post %{mingw32_debug_install_post}

%global name1 libxml++

Name:           mingw-%{name1}
Version:        2.34.2
Release:        5%{?dist}
Summary:        MinGW Windows C++ wrapper for the libxml2 XML parser library

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://libxmlplusplus.sourceforge.net/
Source:         http://ftp.gnome.org/pub/GNOME/sources/libxml++/2.34/libxml++-%{version}.tar.xz
Patch1:         libxml++-mingw32.patch

BuildArch:      noarch

BuildRequires:  mingw32-libxml2 >= 2.6.1
BuildRequires:  mingw32-glibmm24 >= 2.4.0
BuildRequires:  mingw32-filesystem >= 68
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw32-gettext

%description
libxml++ is a C++ wrapper for the libxml2 XML parser library. It's original
author is Ari Johnson and it is currently maintained by Christophe de Vienne
and Murray Cumming.


%package -n mingw32-%{name1}
Summary:        MinGW Windows C++ wrapper for the libxml2 XML parser library
Requires:       pkgconfig

%description -n mingw32-%{name1}
libxml++ is a C++ wrapper for the libxml2 XML parser library. It's original
author is Ari Johnson and it is currently maintained by Christophe de Vienne
and Murray Cumming.


%{?mingw32_debug_package}


%prep
%setup -q -n %{name1}-%{version}
%patch1 -p0 -b .mingw32
# fix wrong end of line
sed -i s'#\r##' examples/dom_parser/example_with_namespace.xml

%build
%{mingw32_configure} --disable-static --disable-documentation --disable-examples
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT%{mingw32_docdir}
rm -f $RPM_BUILD_ROOT%{mingw32_libdir}/*.la


%files -n mingw32-%{name1}
%doc AUTHORS COPYING NEWS README ChangeLog
%{mingw32_bindir}/libxml++-2.6-2.dll
%{mingw32_includedir}/*
%{mingw32_libdir}/libxml++-2.6.dll.a
%{mingw32_libdir}/pkgconfig/*
%dir %{mingw32_libdir}/%{name1}-2.6
%dir %{mingw32_libdir}/%{name1}-2.6/include
%{mingw32_libdir}/%{name1}-2.6/include/*.h


%changelog
* Wed Mar 07 2012 Kalev Lember <kalevlember@gmail.com> - 2.34.2-5
- Renamed the source package to mingw-libxml++ (#800926)
- Use mingw macros without leading underscore

* Tue Feb 28 2012 Kalev Lember <kalevlember@gmail.com> - 2.34.2-4
- Remove the .la files

* Tue Feb 28 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.34.2-3
- Rebuild against the mingw-w64 toolchain

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.34.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Oct 02 2011 Kalev Lember <kalevlember@gmail.com> - 2.34.2-1
- Update to 2.34.2
- Spec cleanup for recent rpmbuild

* Wed Jul 06 2011 Kalev Lember <kalevlember@gmail.com> - 2.34.1-3
- Rebuilt against win-iconv

* Thu Apr 28 2011 Kalev Lember <kalev@smartlink.ee> - 2.34.1-2
- Rebuilt for proxy-libintl removal

* Fri Apr 22 2011 Kalev Lember <kalev@smartlink.ee> - 2.34.1-1
- Update to 2.34.1
- Dropped the autotools examples patch which didn't apply cleanly and
  isn't useful for the mingw build as we don't build the examples.

* Tue Apr 12 2011 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.33.2-1
- update to 2.33.2

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.33.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec  8 2010 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.33.1-1
- update to 2.33.1

* Thu Aug  5 2010 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.30.0-1
- update to 2.30.0

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.26.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 22 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.26.0-2
- add debuginfo packages

* Fri Apr 17 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.26.0-1
- update to 2.26.0
- remove docs cruft from install section
- remove dos2unix BR

* Wed Mar 25 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.24.2-4
- add BR's and R's
- remove docs, as they duplicate the native package

* Mon Mar 23 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.24.2-3
- unify main and devel subpackages

* Mon Mar 23 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.24.2-2
- copy from native package
